package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class appupdater_subs_0 {


public static RemoteObject  _createnotification(RemoteObject _title,RemoteObject _content,RemoteObject _icon,RemoteObject _targetactivity,RemoteObject _sound,RemoteObject _vibrate) throws Exception{
try {
		Debug.PushSubsStack("CreateNotification (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,224);
if (RapidSub.canDelegate("createnotification")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","createnotification", _title, _content, _icon, _targetactivity, _sound, _vibrate);}
Debug.locals.put("Title", _title);
Debug.locals.put("Content", _content);
Debug.locals.put("Icon", _icon);
Debug.locals.put("TargetActivity", _targetactivity);
Debug.locals.put("Sound", _sound);
Debug.locals.put("Vibrate", _vibrate);
 BA.debugLineNum = 224;BA.debugLine="Private Sub CreateNotification(Title As String, Co";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 225;BA.debugLine="n2.Initialize";
Debug.ShouldStop(1);
appupdater._n2.runVoidMethod ("Initialize");
 BA.debugLineNum = 226;BA.debugLine="n2.Light = False";
Debug.ShouldStop(2);
appupdater._n2.runVoidMethod ("setLight",appupdater.mostCurrent.__c.getField(true,"False"));
 BA.debugLineNum = 227;BA.debugLine="n2.Vibrate = Vibrate";
Debug.ShouldStop(4);
appupdater._n2.runVoidMethod ("setVibrate",_vibrate);
 BA.debugLineNum = 228;BA.debugLine="n2.Sound = Sound";
Debug.ShouldStop(8);
appupdater._n2.runVoidMethod ("setSound",_sound);
 BA.debugLineNum = 229;BA.debugLine="n2.OnGoingEvent = True";
Debug.ShouldStop(16);
appupdater._n2.runVoidMethod ("setOnGoingEvent",appupdater.mostCurrent.__c.getField(true,"True"));
 BA.debugLineNum = 230;BA.debugLine="n2.Icon = Icon";
Debug.ShouldStop(32);
appupdater._n2.runVoidMethod ("setIcon",_icon);
 BA.debugLineNum = 231;BA.debugLine="n2.SetInfo(Title, Content, TargetActivity)";
Debug.ShouldStop(64);
appupdater._n2.runVoidMethod ("SetInfoNew",appupdater.processBA,(Object)(BA.ObjectToCharSequence(_title)),(Object)(BA.ObjectToCharSequence(_content)),(Object)(_targetactivity));
 BA.debugLineNum = 232;BA.debugLine="n2.Notify(nNewAppnID)";
Debug.ShouldStop(128);
appupdater._n2.runVoidMethod ("Notify",(Object)(appupdater._nnewappnid));
 BA.debugLineNum = 233;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _createnotification2(RemoteObject _title,RemoteObject _content,RemoteObject _icon,RemoteObject _targetactivity,RemoteObject _sound,RemoteObject _vibrate,RemoteObject _pn,RemoteObject _pnid) throws Exception{
try {
		Debug.PushSubsStack("CreateNotification2 (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,208);
if (RapidSub.canDelegate("createnotification2")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","createnotification2", _title, _content, _icon, _targetactivity, _sound, _vibrate, _pn, _pnid);}
Debug.locals.put("Title", _title);
Debug.locals.put("Content", _content);
Debug.locals.put("Icon", _icon);
Debug.locals.put("TargetActivity", _targetactivity);
Debug.locals.put("Sound", _sound);
Debug.locals.put("Vibrate", _vibrate);
Debug.locals.put("pN", _pn);
Debug.locals.put("pNID", _pnid);
 BA.debugLineNum = 208;BA.debugLine="Private Sub CreateNotification2(Title As String, C";
Debug.ShouldStop(32768);
 BA.debugLineNum = 211;BA.debugLine="pN.Initialize2(pN.IMPORTANCE_HIGH)";
Debug.ShouldStop(262144);
_pn.runVoidMethod ("Initialize2",(Object)(_pn.getField(true,"IMPORTANCE_HIGH")));
 BA.debugLineNum = 214;BA.debugLine="pN.Vibrate = Vibrate";
Debug.ShouldStop(2097152);
_pn.runVoidMethod ("setVibrate",_vibrate);
 BA.debugLineNum = 215;BA.debugLine="pN.Sound = Sound";
Debug.ShouldStop(4194304);
_pn.runVoidMethod ("setSound",_sound);
 BA.debugLineNum = 217;BA.debugLine="pN.Icon = Icon";
Debug.ShouldStop(16777216);
_pn.runVoidMethod ("setIcon",_icon);
 BA.debugLineNum = 218;BA.debugLine="pN.AutoCancel = True";
Debug.ShouldStop(33554432);
_pn.runVoidMethod ("setAutoCancel",appupdater.mostCurrent.__c.getField(true,"True"));
 BA.debugLineNum = 219;BA.debugLine="pN.SetInfo(Title, Content, TargetActivity)";
Debug.ShouldStop(67108864);
_pn.runVoidMethod ("SetInfoNew",appupdater.processBA,(Object)(BA.ObjectToCharSequence(_title)),(Object)(BA.ObjectToCharSequence(_content)),(Object)(_targetactivity));
 BA.debugLineNum = 220;BA.debugLine="pN.Notify(pNID)";
Debug.ShouldStop(134217728);
_pn.runVoidMethod ("Notify",(Object)(_pnid));
 BA.debugLineNum = 221;BA.debugLine="Return pN";
Debug.ShouldStop(268435456);
if (true) return _pn;
 BA.debugLineNum = 222;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _download(RemoteObject _callback,RemoteObject _link) throws Exception{
try {
		Debug.PushSubsStack("Download (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,201);
if (RapidSub.canDelegate("download")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","download", _callback, _link);}
RemoteObject _j = RemoteObject.declareNull("SHARK2.keymon.com.mx.httpjob");
Debug.locals.put("Callback", _callback);
Debug.locals.put("link", _link);
 BA.debugLineNum = 201;BA.debugLine="Sub Download (Callback As Object, link As String)";
Debug.ShouldStop(256);
 BA.debugLineNum = 202;BA.debugLine="Dim j As HttpJob";
Debug.ShouldStop(512);
_j = RemoteObject.createNew ("SHARK2.keymon.com.mx.httpjob");Debug.locals.put("j", _j);
 BA.debugLineNum = 203;BA.debugLine="j.Initialize(\"\", Callback)";
Debug.ShouldStop(1024);
_j.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_initialize" /*RemoteObject*/ ,appupdater.processBA,(Object)(BA.ObjectToString("")),(Object)(_callback));
 BA.debugLineNum = 204;BA.debugLine="j.Download(link)";
Debug.ShouldStop(2048);
_j.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_download" /*RemoteObject*/ ,(Object)(_link));
 BA.debugLineNum = 205;BA.debugLine="Return j";
Debug.ShouldStop(4096);
if (true) return _j;
 BA.debugLineNum = 206;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _download_destroy() throws Exception{
try {
		Debug.PushSubsStack("download_Destroy (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,196);
if (RapidSub.canDelegate("download_destroy")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","download_destroy");}
 BA.debugLineNum = 196;BA.debugLine="Sub download_Destroy";
Debug.ShouldStop(8);
 BA.debugLineNum = 197;BA.debugLine="n2.Cancel(n2ID)";
Debug.ShouldStop(16);
appupdater._n2.runVoidMethod ("Cancel",(Object)(appupdater._n2id));
 BA.debugLineNum = 198;BA.debugLine="Service.StopForeground(n2ID)";
Debug.ShouldStop(32);
appupdater.mostCurrent._service.runVoidMethod ("StopForeground",(Object)(appupdater._n2id));
 BA.debugLineNum = 199;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _download_newapk() throws Exception{
try {
		Debug.PushSubsStack("download_newApk (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,160);
if (RapidSub.canDelegate("download_newapk")) { SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","download_newapk"); return;}
ResumableSub_download_newApk rsub = new ResumableSub_download_newApk(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_download_newApk extends BA.ResumableSub {
public ResumableSub_download_newApk(SHARK2.keymon.com.mx.appupdater parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
SHARK2.keymon.com.mx.appupdater parent;
RemoteObject _job_newapp = RemoteObject.declareNull("SHARK2.keymon.com.mx.httpjob");
RemoteObject _outnewapk = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
RemoteObject _in = RemoteObject.declareNull("anywheresoftware.b4a.objects.IntentWrapper");

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("download_newApk (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,160);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 163;BA.debugLine="Log(\"Descargando actualización\")";
Debug.ShouldStop(4);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5851971",RemoteObject.createImmutable("Descargando actualización"),0);
 BA.debugLineNum = 164;BA.debugLine="B4XPages.ShowPage(\"login\")";
Debug.ShouldStop(8);
parent.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,appupdater.processBA,(Object)(RemoteObject.createImmutable("login")));
 BA.debugLineNum = 165;BA.debugLine="Starter.muestraProgreso = 1";
Debug.ShouldStop(16);
parent.mostCurrent._starter._muestraprogreso /*RemoteObject*/  = BA.NumberToString(1);
 BA.debugLineNum = 166;BA.debugLine="Dim job_newAPP As HttpJob";
Debug.ShouldStop(32);
_job_newapp = RemoteObject.createNew ("SHARK2.keymon.com.mx.httpjob");Debug.locals.put("job_newAPP", _job_newapp);
 BA.debugLineNum = 167;BA.debugLine="job_newAPP.Initialize(\"job_newAPP\",Me)";
Debug.ShouldStop(64);
_job_newapp.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_initialize" /*RemoteObject*/ ,appupdater.processBA,(Object)(BA.ObjectToString("job_newAPP")),(Object)(appupdater.getObject()));
 BA.debugLineNum = 168;BA.debugLine="job_newAPP.Download(newApp.appLink)";
Debug.ShouldStop(128);
_job_newapp.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_download" /*RemoteObject*/ ,(Object)(parent._newapp.getField(true,"appLink" /*RemoteObject*/ )));
 BA.debugLineNum = 169;BA.debugLine="Wait for (job_newAPP) JobDone (job_newAPP As Http";
Debug.ShouldStop(256);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","jobdone", appupdater.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "appupdater", "download_newapk"), (_job_newapp));
this.state = 15;
return;
case 15:
//C
this.state = 1;
_job_newapp = (RemoteObject) result.getArrayElement(false,RemoteObject.createImmutable(0));Debug.locals.put("job_newAPP", _job_newapp);
;
 BA.debugLineNum = 170;BA.debugLine="If job_newAPP.Success = True Then";
Debug.ShouldStop(512);
if (true) break;

case 1:
//if
this.state = 14;
if (RemoteObject.solveBoolean("=",_job_newapp.getField(true,"_success" /*RemoteObject*/ ),parent.mostCurrent.__c.getField(true,"True"))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 172;BA.debugLine="If File.Exists(SharedFolder,\"newapp.apk\") Then";
Debug.ShouldStop(2048);
if (true) break;

case 4:
//if
this.state = 7;
if (parent.mostCurrent.__c.getField(false,"File").runMethod(true,"Exists",(Object)(parent._sharedfolder),(Object)(RemoteObject.createImmutable("newapp.apk"))).<Boolean>get().booleanValue()) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 BA.debugLineNum = 173;BA.debugLine="File.Delete(SharedFolder,\"newapp.apk\")";
Debug.ShouldStop(4096);
parent.mostCurrent.__c.getField(false,"File").runVoidMethod ("Delete",(Object)(parent._sharedfolder),(Object)(RemoteObject.createImmutable("newapp.apk")));
 if (true) break;

case 7:
//C
this.state = 8;
;
 BA.debugLineNum = 176;BA.debugLine="Dim outNewAPK As OutputStream = File.OpenOutput(";
Debug.ShouldStop(32768);
_outnewapk = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper");
_outnewapk = parent.mostCurrent.__c.getField(false,"File").runMethod(false,"OpenOutput",(Object)(parent._sharedfolder),(Object)(BA.ObjectToString("newapp.apk")),(Object)(parent.mostCurrent.__c.getField(true,"False")));Debug.locals.put("outNewAPK", _outnewapk);Debug.locals.put("outNewAPK", _outnewapk);
 BA.debugLineNum = 177;BA.debugLine="File.Copy2(job_newAPP.GetInputStream, outNewAPK)";
Debug.ShouldStop(65536);
parent.mostCurrent.__c.getField(false,"File").runVoidMethod ("Copy2",(Object)((_job_newapp.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_getinputstream" /*RemoteObject*/ ).getObject())),(Object)((_outnewapk.getObject())));
 BA.debugLineNum = 178;BA.debugLine="outNewAPK.Close";
Debug.ShouldStop(131072);
_outnewapk.runVoidMethod ("Close");
 BA.debugLineNum = 179;BA.debugLine="If Starter.Logger Then Log(\"APK dir: \"&SharedFol";
Debug.ShouldStop(262144);
if (true) break;

case 8:
//if
this.state = 13;
if (parent.mostCurrent._starter._logger /*RemoteObject*/ .<Boolean>get().booleanValue()) { 
this.state = 10;
;}if (true) break;

case 10:
//C
this.state = 13;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5851987",RemoteObject.concat(RemoteObject.createImmutable("APK dir: "),parent._sharedfolder),0);
if (true) break;

case 13:
//C
this.state = 14;
;
 if (true) break;

case 14:
//C
this.state = -1;
;
 BA.debugLineNum = 181;BA.debugLine="job_newAPP.Release";
Debug.ShouldStop(1048576);
_job_newapp.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_release" /*RemoteObject*/ );
 BA.debugLineNum = 183;BA.debugLine="Dim in As Intent";
Debug.ShouldStop(4194304);
_in = RemoteObject.createNew ("anywheresoftware.b4a.objects.IntentWrapper");Debug.locals.put("in", _in);
 BA.debugLineNum = 184;BA.debugLine="in.Initialize(in.ACTION_VIEW,\"\" )";
Debug.ShouldStop(8388608);
_in.runVoidMethod ("Initialize",(Object)(_in.getField(true,"ACTION_VIEW")),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 185;BA.debugLine="SetFileUriAsIntentData(in, \"newapp.apk\")";
Debug.ShouldStop(16777216);
_setfileuriasintentdata(_in,RemoteObject.createImmutable("newapp.apk"));
 BA.debugLineNum = 187;BA.debugLine="in.SetType(\"application/vnd.android.package-archi";
Debug.ShouldStop(67108864);
_in.runVoidMethod ("SetType",(Object)(RemoteObject.createImmutable("application/vnd.android.package-archive")));
 BA.debugLineNum = 188;BA.debugLine="StartActivity(in)";
Debug.ShouldStop(134217728);
parent.mostCurrent.__c.runVoidMethod ("StartActivity",appupdater.processBA,(Object)((_in.getObject())));
 BA.debugLineNum = 189;BA.debugLine="n2.Cancel(nNewAppnID)";
Debug.ShouldStop(268435456);
parent._n2.runVoidMethod ("Cancel",(Object)(parent._nnewappnid));
 BA.debugLineNum = 190;BA.debugLine="B4XPages.MainPage.ocultaProgreso";
Debug.ShouldStop(536870912);
parent.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,appupdater.processBA).runClassMethod (SHARK2.keymon.com.mx.b4xmainpage.class, "_ocultaprogreso" /*RemoteObject*/ );
 BA.debugLineNum = 192;BA.debugLine="StopService(Me)";
Debug.ShouldStop(-2147483648);
parent.mostCurrent.__c.runVoidMethod ("StopService",appupdater.processBA,(Object)(appupdater.getObject()));
 BA.debugLineNum = 194;BA.debugLine="End Sub";
Debug.ShouldStop(2);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _jobdone(RemoteObject _job_newapp) throws Exception{
}
public static RemoteObject  _download_start(RemoteObject _startingintent) throws Exception{
try {
		Debug.PushSubsStack("download_Start (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,156);
if (RapidSub.canDelegate("download_start")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","download_start", _startingintent);}
Debug.locals.put("StartingIntent", _startingintent);
 BA.debugLineNum = 156;BA.debugLine="Sub download_Start (StartingIntent As Intent)";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 157;BA.debugLine="download_newApk";
Debug.ShouldStop(268435456);
_download_newapk();
 BA.debugLineNum = 158;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _fileprovider_init() throws Exception{
try {
		Debug.PushSubsStack("fileProvider_init (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,239);
if (RapidSub.canDelegate("fileprovider_init")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","fileprovider_init");}
RemoteObject _p = RemoteObject.declareNull("anywheresoftware.b4a.phone.Phone");
 BA.debugLineNum = 239;BA.debugLine="Sub fileProvider_init";
Debug.ShouldStop(16384);
 BA.debugLineNum = 240;BA.debugLine="Dim p As Phone";
Debug.ShouldStop(32768);
_p = RemoteObject.createNew ("anywheresoftware.b4a.phone.Phone");Debug.locals.put("p", _p);
 BA.debugLineNum = 241;BA.debugLine="If p.SdkVersion >= 24 Or File.ExternalWritable =";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean("g",_p.runMethod(true,"getSdkVersion"),BA.numberCast(double.class, 24)) || RemoteObject.solveBoolean("=",appupdater.mostCurrent.__c.getField(false,"File").runMethod(true,"getExternalWritable"),appupdater.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 242;BA.debugLine="UseFileProvider = True";
Debug.ShouldStop(131072);
appupdater._usefileprovider = appupdater.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 243;BA.debugLine="SharedFolder = File.Combine(File.DirInternal, \"s";
Debug.ShouldStop(262144);
appupdater._sharedfolder = appupdater.mostCurrent.__c.getField(false,"File").runMethod(true,"Combine",(Object)(appupdater.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal")),(Object)(RemoteObject.createImmutable("shared")));
 BA.debugLineNum = 244;BA.debugLine="If Not(File.IsDirectory(File.DirInternal,\"shared";
Debug.ShouldStop(524288);
if (appupdater.mostCurrent.__c.runMethod(true,"Not",(Object)(appupdater.mostCurrent.__c.getField(false,"File").runMethod(true,"IsDirectory",(Object)(appupdater.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal")),(Object)(RemoteObject.createImmutable("shared"))))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 245;BA.debugLine="File.MakeDir(\"\", SharedFolder)";
Debug.ShouldStop(1048576);
appupdater.mostCurrent.__c.getField(false,"File").runVoidMethod ("MakeDir",(Object)(BA.ObjectToString("")),(Object)(appupdater._sharedfolder));
 };
 }else {
 BA.debugLineNum = 248;BA.debugLine="UseFileProvider = False";
Debug.ShouldStop(8388608);
appupdater._usefileprovider = appupdater.mostCurrent.__c.getField(true,"False");
 BA.debugLineNum = 249;BA.debugLine="SharedFolder = rp.GetSafeDirDefaultExternal(\"sha";
Debug.ShouldStop(16777216);
appupdater._sharedfolder = appupdater._rp.runMethod(true,"GetSafeDirDefaultExternal",(Object)(RemoteObject.createImmutable("shared")));
 };
 BA.debugLineNum = 251;BA.debugLine="Log($\"Using FileProvider? ${UseFileProvider}\"$)";
Debug.ShouldStop(67108864);
appupdater.mostCurrent.__c.runVoidMethod ("LogImpl","51245196",(RemoteObject.concat(RemoteObject.createImmutable("Using FileProvider? "),appupdater.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((appupdater._usefileprovider))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 252;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getfileuri(RemoteObject _filename) throws Exception{
try {
		Debug.PushSubsStack("GetFileUri (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,255);
if (RapidSub.canDelegate("getfileuri")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","getfileuri", _filename);}
RemoteObject _uri = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
RemoteObject _f = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
RemoteObject _fp = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
RemoteObject _context = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
Debug.locals.put("FileName", _filename);
 BA.debugLineNum = 255;BA.debugLine="Sub GetFileUri (FileName As String) As Object";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 256;BA.debugLine="Try";
Debug.ShouldStop(-2147483648);
try { BA.debugLineNum = 257;BA.debugLine="If Not(UseFileProvider) Then";
Debug.ShouldStop(1);
if (appupdater.mostCurrent.__c.runMethod(true,"Not",(Object)(appupdater._usefileprovider)).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 258;BA.debugLine="Dim uri As JavaObject";
Debug.ShouldStop(2);
_uri = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("uri", _uri);
 BA.debugLineNum = 259;BA.debugLine="Return uri.InitializeStatic(\"android.net.Uri\").";
Debug.ShouldStop(4);
Debug.CheckDeviceExceptions();if (true) return _uri.runMethod(false,"InitializeStatic",(Object)(RemoteObject.createImmutable("android.net.Uri"))).runMethod(false,"RunMethod",(Object)(BA.ObjectToString("parse")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.concat(RemoteObject.createImmutable("file://"),appupdater.mostCurrent.__c.getField(false,"File").runMethod(true,"Combine",(Object)(appupdater._sharedfolder),(Object)(_filename))))})));
 };
 BA.debugLineNum = 261;BA.debugLine="Dim f As JavaObject";
Debug.ShouldStop(16);
_f = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("f", _f);
 BA.debugLineNum = 262;BA.debugLine="f.InitializeNewInstance(\"java.io.File\", Array(Sh";
Debug.ShouldStop(32);
_f.runVoidMethod ("InitializeNewInstance",(Object)(BA.ObjectToString("java.io.File")),(Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(appupdater._sharedfolder),(_filename)})));
 BA.debugLineNum = 263;BA.debugLine="Dim fp As JavaObject";
Debug.ShouldStop(64);
_fp = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("fp", _fp);
 BA.debugLineNum = 264;BA.debugLine="Dim context As JavaObject";
Debug.ShouldStop(128);
_context = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("context", _context);
 BA.debugLineNum = 265;BA.debugLine="context.InitializeContext";
Debug.ShouldStop(256);
_context.runVoidMethod ("InitializeContext",appupdater.processBA);
 BA.debugLineNum = 266;BA.debugLine="fp.InitializeStatic(\"android.support.v4.content.";
Debug.ShouldStop(512);
_fp.runVoidMethod ("InitializeStatic",(Object)(RemoteObject.createImmutable("androidx.core.content.FileProvider")));
 BA.debugLineNum = 267;BA.debugLine="Return fp.RunMethod(\"getUriForFile\", Array(conte";
Debug.ShouldStop(1024);
Debug.CheckDeviceExceptions();if (true) return _fp.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("getUriForFile")),(Object)(RemoteObject.createNewArray("Object",new int[] {3},new Object[] {(_context.getObject()),(RemoteObject.concat(appupdater.mostCurrent.__c.getField(false,"Application").runMethod(true,"getPackageName"),RemoteObject.createImmutable(".provider"))),(_f.getObject())})));
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e14) {
			BA.rdebugUtils.runVoidMethod("setLastException",appupdater.processBA, e14.toString()); BA.debugLineNum = 269;BA.debugLine="Log(\"FileProvider::GetFileUri - error - \" & Last";
Debug.ShouldStop(4096);
appupdater.mostCurrent.__c.runVoidMethod ("LogImpl","51310734",RemoteObject.concat(RemoteObject.createImmutable("FileProvider::GetFileUri - error - "),appupdater.mostCurrent.__c.runMethod(false,"LastException",appupdater.processBA).runMethod(true,"getMessage")),0);
 BA.debugLineNum = 270;BA.debugLine="Return \"\"";
Debug.ShouldStop(8192);
if (true) return RemoteObject.createImmutable((""));
 };
 BA.debugLineNum = 272;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 70;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 75;BA.debugLine="Public lnk As String = \"https://keymon.lat/movil/";
appupdater._lnk = BA.ObjectToString("https://keymon.lat/movil/SHARK2/SHARK2.ver");
 //BA.debugLineNum = 89;BA.debugLine="Public nNewApp As Notification";
appupdater._nnewapp = RemoteObject.createNew ("anywheresoftware.b4a.objects.NotificationWrapper");
 //BA.debugLineNum = 90;BA.debugLine="Public nNewAppnID As Int = 16";
appupdater._nnewappnid = BA.numberCast(int.class, 16);
 //BA.debugLineNum = 92;BA.debugLine="Dim nativeMe 		As JavaObject";
appupdater._nativeme = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");
 //BA.debugLineNum = 93;BA.debugLine="Dim n2				As Notification";
appupdater._n2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.NotificationWrapper");
 //BA.debugLineNum = 94;BA.debugLine="Dim n2ID			As Int = 16";
appupdater._n2id = BA.numberCast(int.class, 16);
 //BA.debugLineNum = 96;BA.debugLine="Public SharedFolder As String";
appupdater._sharedfolder = RemoteObject.createImmutable("");
 //BA.debugLineNum = 97;BA.debugLine="Public UseFileProvider As Boolean";
appupdater._usefileprovider = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 98;BA.debugLine="Private rp As RuntimePermissions";
appupdater._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 100;BA.debugLine="Type mNewVersion(update As Boolean, nonewAPP As B";
;
 //BA.debugLineNum = 102;BA.debugLine="Public newApp 	As mNewVersion";
appupdater._newapp = RemoteObject.createNew ("SHARK2.keymon.com.mx.appupdater._mnewversion");
 //BA.debugLineNum = 103;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _service_create() throws Exception{
try {
		Debug.PushSubsStack("Service_Create (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,105);
if (RapidSub.canDelegate("service_create")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","service_create");}
 BA.debugLineNum = 105;BA.debugLine="Sub Service_Create";
Debug.ShouldStop(256);
 BA.debugLineNum = 106;BA.debugLine="Log(\"appUpdater(), Service_Create\")";
Debug.ShouldStop(512);
appupdater.mostCurrent.__c.runVoidMethod ("LogImpl","5655361",RemoteObject.createImmutable("appUpdater(), Service_Create"),0);
 BA.debugLineNum = 107;BA.debugLine="newApp.Initialize";
Debug.ShouldStop(1024);
appupdater._newapp.runVoidMethod ("Initialize");
 BA.debugLineNum = 108;BA.debugLine="Service.AutomaticForegroundMode = Service.AUTOMAT";
Debug.ShouldStop(2048);
appupdater.mostCurrent._service.setField ("AutomaticForegroundMode",appupdater.mostCurrent._service.getField(true,"AUTOMATIC_FOREGROUND_NEVER"));
 BA.debugLineNum = 109;BA.debugLine="n2.Initialize";
Debug.ShouldStop(4096);
appupdater._n2.runVoidMethod ("Initialize");
 BA.debugLineNum = 110;BA.debugLine="nativeMe.InitializeContext";
Debug.ShouldStop(8192);
appupdater._nativeme.runVoidMethod ("InitializeContext",appupdater.processBA);
 BA.debugLineNum = 111;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_destroy() throws Exception{
try {
		Debug.PushSubsStack("Service_Destroy (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,235);
if (RapidSub.canDelegate("service_destroy")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","service_destroy");}
 BA.debugLineNum = 235;BA.debugLine="Sub Service_Destroy";
Debug.ShouldStop(1024);
 BA.debugLineNum = 236;BA.debugLine="Log(\"appUpdater(), Service_Destroy\")";
Debug.ShouldStop(2048);
appupdater.mostCurrent.__c.runVoidMethod ("LogImpl","51179649",RemoteObject.createImmutable("appUpdater(), Service_Destroy"),0);
 BA.debugLineNum = 237;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _service_start(RemoteObject _startingintent) throws Exception{
try {
		Debug.PushSubsStack("Service_Start (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,113);
if (RapidSub.canDelegate("service_start")) { SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","service_start", _startingintent); return;}
ResumableSub_Service_Start rsub = new ResumableSub_Service_Start(null,_startingintent);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_Service_Start extends BA.ResumableSub {
public ResumableSub_Service_Start(SHARK2.keymon.com.mx.appupdater parent,RemoteObject _startingintent) {
this.parent = parent;
this._startingintent = _startingintent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
SHARK2.keymon.com.mx.appupdater parent;
RemoteObject _startingintent;
RemoteObject _j = RemoteObject.declareNull("SHARK2.keymon.com.mx.httpjob");
RemoteObject _app = null;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("Service_Start (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,113);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
try {

        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("StartingIntent", _startingintent);
 BA.debugLineNum = 114;BA.debugLine="Log(\"appUpdater(), Service_Start\")";
Debug.ShouldStop(131072);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5720897",RemoteObject.createImmutable("appUpdater(), Service_Start"),0);
 BA.debugLineNum = 116;BA.debugLine="B4XPages.MainPage.muestraProgreso(\"Buscando actua";
Debug.ShouldStop(524288);
parent.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,appupdater.processBA).runClassMethod (SHARK2.keymon.com.mx.b4xmainpage.class, "_muestraprogreso" /*RemoteObject*/ ,(Object)(RemoteObject.createImmutable("Buscando actualización")));
 BA.debugLineNum = 117;BA.debugLine="Log(\"Buscando actualización\")";
Debug.ShouldStop(1048576);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5720900",RemoteObject.createImmutable("Buscando actualización"),0);
 BA.debugLineNum = 118;BA.debugLine="fileProvider_init";
Debug.ShouldStop(2097152);
_fileprovider_init();
 BA.debugLineNum = 119;BA.debugLine="Wait For (Download(Me, lnk)) JobDone (j As HttpJo";
Debug.ShouldStop(4194304);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","jobdone", appupdater.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "appupdater", "service_start"), (_download(appupdater.getObject(),parent._lnk)));
this.state = 20;
return;
case 20:
//C
this.state = 1;
_j = (RemoteObject) result.getArrayElement(false,RemoteObject.createImmutable(0));Debug.locals.put("j", _j);
;
 BA.debugLineNum = 120;BA.debugLine="If j.Success Then";
Debug.ShouldStop(8388608);
if (true) break;

case 1:
//if
this.state = 19;
if (_j.getField(true,"_success" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
this.state = 3;
}else {
this.state = 18;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 121;BA.debugLine="Try";
Debug.ShouldStop(16777216);
if (true) break;

case 4:
//try
this.state = 16;
this.catchState = 15;
this.state = 6;
if (true) break;

case 6:
//C
this.state = 7;
this.catchState = 15;
 BA.debugLineNum = 122;BA.debugLine="Dim app() As String = Regex.Split(Chr(9),j.GetS";
Debug.ShouldStop(33554432);
_app = parent.mostCurrent.__c.getField(false,"Regex").runMethod(false,"Split",(Object)(BA.ObjectToString(parent.mostCurrent.__c.runMethod(true,"Chr",(Object)(BA.numberCast(int.class, 9))))),(Object)(_j.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_getstring" /*RemoteObject*/ )));Debug.locals.put("app", _app);Debug.locals.put("app", _app);
 BA.debugLineNum = 124;BA.debugLine="newApp.appLink = app(3)	'Liga a nueva app";
Debug.ShouldStop(134217728);
parent._newapp.setField ("appLink" /*RemoteObject*/ ,_app.getArrayElement(true,BA.numberCast(int.class, 3)));
 BA.debugLineNum = 125;BA.debugLine="newApp.newMsg = app(1)	'Texto de que hay actual";
Debug.ShouldStop(268435456);
parent._newapp.setField ("newMsg" /*RemoteObject*/ ,_app.getArrayElement(true,BA.numberCast(int.class, 1)));
 BA.debugLineNum = 126;BA.debugLine="newApp.okMsg = app(2)	'Texto de app al corrient";
Debug.ShouldStop(536870912);
parent._newapp.setField ("okMsg" /*RemoteObject*/ ,_app.getArrayElement(true,BA.numberCast(int.class, 2)));
 BA.debugLineNum = 127;BA.debugLine="newApp.version = app(0)	'Version actual";
Debug.ShouldStop(1073741824);
parent._newapp.setField ("version" /*RemoteObject*/ ,_app.getArrayElement(true,BA.numberCast(int.class, 0)));
 BA.debugLineNum = 129;BA.debugLine="Log($\"Application.VersionName=${Application.Ver";
Debug.ShouldStop(1);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5720912",(RemoteObject.concat(RemoteObject.createImmutable("Application.VersionName="),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent.mostCurrent.__c.getField(false,"Application").runMethod(true,"getVersionName")))),RemoteObject.createImmutable(", newApp="),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent._newapp))),RemoteObject.createImmutable(""))),0);
 BA.debugLineNum = 132;BA.debugLine="If newApp.version = Application.VersionName  Th";
Debug.ShouldStop(8);
if (true) break;

case 7:
//if
this.state = 10;
if (RemoteObject.solveBoolean("=",parent._newapp.getField(true,"version" /*RemoteObject*/ ),parent.mostCurrent.__c.getField(false,"Application").runMethod(true,"getVersionName"))) { 
this.state = 9;
}if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 133;BA.debugLine="newApp.update = False";
Debug.ShouldStop(16);
parent._newapp.setField ("update" /*RemoteObject*/ ,parent.mostCurrent.__c.getField(true,"False"));
 BA.debugLineNum = 134;BA.debugLine="Log(\"No new app\")";
Debug.ShouldStop(32);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5720917",RemoteObject.createImmutable("No new app"),0);
 BA.debugLineNum = 135;BA.debugLine="B4XPages.ShowPage(\"updateAvailable\")";
Debug.ShouldStop(64);
parent.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,appupdater.processBA,(Object)(RemoteObject.createImmutable("updateAvailable")));
 BA.debugLineNum = 137;BA.debugLine="CreateNotification2(\"Aplicacion al corriente\",";
Debug.ShouldStop(256);
_createnotification2(BA.ObjectToString("Aplicacion al corriente"),BA.ObjectToString("No hay actualizaciones disponibles"),BA.ObjectToString("ic_file_download_white_24dp"),(parent.mostCurrent._main.getObject()),parent.mostCurrent.__c.getField(true,"True"),parent.mostCurrent.__c.getField(true,"True"),parent._nnewapp,parent._nnewappnid);
 if (true) break;
;
 BA.debugLineNum = 139;BA.debugLine="If newApp.version <> Application.VersionName  T";
Debug.ShouldStop(1024);

case 10:
//if
this.state = 13;
if (RemoteObject.solveBoolean("!",parent._newapp.getField(true,"version" /*RemoteObject*/ ),parent.mostCurrent.__c.getField(false,"Application").runMethod(true,"getVersionName"))) { 
this.state = 12;
}if (true) break;

case 12:
//C
this.state = 13;
 BA.debugLineNum = 140;BA.debugLine="newApp.update = True";
Debug.ShouldStop(2048);
parent._newapp.setField ("update" /*RemoteObject*/ ,parent.mostCurrent.__c.getField(true,"True"));
 BA.debugLineNum = 141;BA.debugLine="Log(\"New app true\")";
Debug.ShouldStop(4096);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5720924",RemoteObject.createImmutable("New app true"),0);
 BA.debugLineNum = 142;BA.debugLine="B4XPages.ShowPage(\"updateAvailable\")";
Debug.ShouldStop(8192);
parent.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,appupdater.processBA,(Object)(RemoteObject.createImmutable("updateAvailable")));
 if (true) break;

case 13:
//C
this.state = 16;
;
 Debug.CheckDeviceExceptions();
if (true) break;

case 15:
//C
this.state = 16;
this.catchState = 0;
 BA.debugLineNum = 147;BA.debugLine="Log(\"appUpdater(), Job Failed, error  \" & LastE";
Debug.ShouldStop(262144);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5720930",RemoteObject.concat(RemoteObject.createImmutable("appUpdater(), Job Failed, error  "),parent.mostCurrent.__c.runMethod(false,"LastException",appupdater.processBA).runMethod(true,"getMessage")),0);
 if (true) break;
if (true) break;

case 16:
//C
this.state = 19;
this.catchState = 0;
;
 if (true) break;

case 18:
//C
this.state = 19;
 BA.debugLineNum = 150;BA.debugLine="Log(\"appUpdater(), Job Failed \" & lnk)";
Debug.ShouldStop(2097152);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","5720933",RemoteObject.concat(RemoteObject.createImmutable("appUpdater(), Job Failed "),parent._lnk),0);
 if (true) break;

case 19:
//C
this.state = -1;
;
 BA.debugLineNum = 152;BA.debugLine="j.Release";
Debug.ShouldStop(8388608);
_j.runClassMethod (SHARK2.keymon.com.mx.httpjob.class, "_release" /*RemoteObject*/ );
 BA.debugLineNum = 154;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
if (true) break;
}} 
       catch (Exception e0) {
			
if (catchState == 0)
    throw e0;
else {
    state = catchState;
BA.rdebugUtils.runVoidMethod("setLastException",appupdater.processBA, e0.toString());}
            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _setfileuriasintentdata(RemoteObject _intent,RemoteObject _filename) throws Exception{
try {
		Debug.PushSubsStack("SetFileUriAsIntentData (appupdater) ","appupdater",1,appupdater.processBA,appupdater.mostCurrent,276);
if (RapidSub.canDelegate("setfileuriasintentdata")) { return SHARK2.keymon.com.mx.appupdater.remoteMe.runUserSub(false, "appupdater","setfileuriasintentdata", _intent, _filename);}
RemoteObject _jo = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
Debug.locals.put("Intent", _intent);
Debug.locals.put("FileName", _filename);
 BA.debugLineNum = 276;BA.debugLine="Sub SetFileUriAsIntentData (Intent As Intent, File";
Debug.ShouldStop(524288);
 BA.debugLineNum = 277;BA.debugLine="Dim jo As JavaObject = Intent";
Debug.ShouldStop(1048576);
_jo = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");
_jo = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.object.JavaObject"), _intent.getObject());Debug.locals.put("jo", _jo);Debug.locals.put("jo", _jo);
 BA.debugLineNum = 278;BA.debugLine="jo.RunMethod(\"setData\", Array(GetFileUri(FileName";
Debug.ShouldStop(2097152);
_jo.runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("setData")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {_getfileuri(_filename)})));
 BA.debugLineNum = 279;BA.debugLine="Intent.Flags = Bit.Or(Intent.Flags, 1) 'FLAG_GRAN";
Debug.ShouldStop(4194304);
_intent.runMethod(true,"setFlags",appupdater.mostCurrent.__c.getField(false,"Bit").runMethod(true,"Or",(Object)(_intent.runMethod(true,"getFlags")),(Object)(BA.numberCast(int.class, 1))));
 BA.debugLineNum = 280;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}